/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




// ----------------------------------------------------------------
// Sample captured at: 2015-10-08 18:58:01 local, 2015-10-09 01:58:01 GMT
AlgDlsMinuteData *activity_sample_2015_10_08_18_58_01(int *len) {
  // The unit tests parse the //> TEST_.* lines below for test values
  //> TEST_NAME pbl_27896
  //> TEST_VERSION 2
  //> TEST_TOTAL -1
  //> TEST_TOTAL_MIN -1
  //> TEST_TOTAL_MAX -1
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT 270
  //> TEST_START_AT_MIN 260
  //> TEST_START_AT_MAX 280
  //> TEST_END_AT 754
  //> TEST_END_AT_MIN 740
  //> TEST_END_AT_MAX 770
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, light}
  static AlgDlsMinuteData samples[] = {
    { 0, 0x55, 148, 0x0},
    { 8, 0x55, 374, 0x0},
    { 0, 0x59, 1925, 0x0},
    { 0, 0x59, 1542, 0x0},
    { 10, 0x56, 648, 0x0},
    { 0, 0x44, 1001, 0x0},
    { 0, 0x52, 408, 0x0},
    { 0, 0x51, 3417, 0x0},
    { 31, 0x42, 7062, 0x0},
    { 0, 0x32, 9930, 0x0},
    { 66, 0x41, 7173, 0x0},
    { 0, 0x42, 6140, 0x0},
    { 13, 0x42, 3988, 0x0},
    { 0, 0x43, 2225, 0x0},
    { 0, 0x43, 1792, 0x0},
    // 15: Local time: 07:13:00 PM
    { 0, 0x11, 3803, 0x0},
    { 12, 0x51, 3719, 0x0},
    { 0, 0x52, 6427, 0x0},
    { 0, 0x43, 5424, 0x0},
    { 8, 0x53, 2745, 0x0},
    { 0, 0x34, 3466, 0x0},
    { 0, 0x6b, 3103, 0x0},
    { 16, 0x74, 5341, 0x0},
    { 0, 0x52, 2914, 0x0},
    { 0, 0x63, 1034, 0x0},
    { 0, 0x63, 3075, 0x0},
    { 7, 0x52, 2236, 0x0},
    { 0, 0x51, 3121, 0x0},
    { 7, 0x31, 1536, 0x0},
    { 0, 0x2f, 1253, 0x0},
    // 30: Local time: 07:28:00 PM
    { 0, 0x63, 2527, 0x0},
    { 0, 0x64, 512, 0x0},
    { 0, 0x55, 1614, 0x0},
    { 23, 0x52, 4216, 0x0},
    { 0, 0x73, 929, 0x0},
    { 0, 0x23, 1228, 0x0},
    { 0, 0x43, 2143, 0x0},
    { 0, 0x63, 2625, 0x0},
    { 0, 0x64, 338, 0x0},
    { 0, 0x65, 1260, 0x0},
    { 0, 0x64, 2264, 0x0},
    { 0, 0x34, 1622, 0x0},
    { 0, 0x44, 1010, 0x0},
    { 0, 0x72, 1422, 0x0},
    { 0, 0x65, 1564, 0x0},
    // 45: Local time: 07:43:00 PM
    { 0, 0x64, 2866, 0x0},
    { 0, 0x54, 2477, 0x0},
    { 0, 0x74, 3093, 0x0},
    { 6, 0x73, 2245, 0x0},
    { 0, 0x44, 2230, 0x0},
    { 0, 0x63, 2470, 0x0},
    { 8, 0x73, 1058, 0x0},
    { 6, 0x74, 2276, 0x0},
    { 0, 0x73, 1496, 0x0},
    { 0, 0x73, 1432, 0x0},
    { 0, 0x73, 173, 0x0},
    { 0, 0x73, 575, 0x0},
    { 0, 0x64, 2270, 0x0},
    { 0, 0x65, 845, 0x0},
    { 0, 0x64, 2927, 0x0},
    // 60: Local time: 07:58:00 PM
    { 0, 0x54, 711, 0x0},
    { 0, 0x64, 913, 0x0},
    { 0, 0x64, 2381, 0x0},
    { 0, 0x64, 3295, 0x0},
    { 0, 0x54, 1974, 0x0},
    { 0, 0x73, 1152, 0x0},
    { 0, 0x73, 1860, 0x0},
    { 0, 0x74, 257, 0x0},
    { 0, 0x44, 2363, 0x0},
    { 0, 0x24, 2840, 0x0},
    { 0, 0x24, 2791, 0x0},
    { 7, 0x54, 3633, 0x0},
    { 0, 0x54, 1909, 0x0},
    { 0, 0x44, 849, 0x0},
    { 0, 0x34, 2930, 0x0},
    // 75: Local time: 08:13:00 PM
    { 0, 0x15, 1067, 0x0},
    { 0, 0x24, 1638, 0x0},
    { 10, 0x54, 1667, 0x0},
    { 0, 0x44, 1434, 0x0},
    { 0, 0x64, 281, 0x0},
    { 0, 0x34, 1327, 0x0},
    { 0, 0x34, 3331, 0x0},
    { 0, 0x24, 2970, 0x0},
    { 0, 0x14, 466, 0x0},
    { 0, 0x24, 3187, 0x0},
    { 0, 0x34, 1349, 0x0},
    { 0, 0x14, 634, 0x0},
    { 0, 0x36, 2967, 0x0},
    { 0, 0x54, 349, 0x0},
    { 0, 0x45, 60, 0x0},
    // 90: Local time: 08:28:00 PM
    { 0, 0x44, 1222, 0x0},
    { 0, 0x45, 6284, 0x0},
    { 0, 0x44, 2582, 0x0},
    { 0, 0x65, 686, 0x0},
    { 0, 0x65, 384, 0x0},
    { 0, 0x55, 2106, 0x0},
    { 0, 0x26, 1084, 0x0},
    { 0, 0x54, 2598, 0x0},
    { 0, 0x64, 2191, 0x0},
    { 0, 0x54, 2363, 0x0},
    { 0, 0x75, 3639, 0x0},
    { 0, 0x64, 3443, 0x0},
    { 0, 0x54, 2542, 0x0},
    { 0, 0x74, 3591, 0x0},
    { 0, 0x74, 2908, 0x0},
    // 105: Local time: 08:43:00 PM
    { 0, 0x73, 1799, 0x0},
    { 0, 0x74, 4466, 0x0},
    { 0, 0x74, 3913, 0x0},
    { 8, 0x74, 3636, 0x0},
    { 0, 0x73, 427, 0x0},
    { 0, 0x63, 2440, 0x0},
    { 0, 0x64, 587, 0x0},
    { 0, 0x44, 1562, 0x0},
    { 0, 0x44, 300, 0x0},
    { 0, 0x65, 430, 0x0},
    { 0, 0x64, 933, 0x0},
    { 0, 0x64, 148, 0x0},
    { 0, 0x14, 563, 0x0},
    { 0, 0x55, 1700, 0x0},
    { 0, 0x45, 664, 0x0},
    // 120: Local time: 08:58:00 PM
    { 0, 0x44, 2168, 0x0},
    { 0, 0x55, 886, 0x0},
    { 0, 0x44, 1962, 0x0},
    { 6, 0x44, 4084, 0x0},
    { 0, 0x65, 3263, 0x0},
    { 0, 0x75, 2957, 0x0},
    { 0, 0x65, 1829, 0x0},
    { 0, 0x75, 1275, 0x0},
    { 8, 0x75, 1737, 0x0},
    { 0, 0x64, 463, 0x0},
    { 0, 0x64, 2196, 0x0},
    { 0, 0x74, 2480, 0x0},
    { 0, 0x74, 91, 0x0},
    { 0, 0x65, 2521, 0x0},
    { 0, 0x64, 843, 0x0},
    // 135: Local time: 09:13:00 PM
    { 0, 0x65, 842, 0x0},
    { 0, 0x54, 2868, 0x0},
    { 0, 0x54, 1308, 0x0},
    { 0, 0x46, 2009, 0x0},
    { 0, 0x66, 1693, 0x0},
    { 0, 0x64, 464, 0x0},
    { 0, 0x54, 1320, 0x0},
    { 0, 0x44, 186, 0x0},
    { 0, 0x44, 222, 0x0},
    { 0, 0x44, 189, 0x0},
    { 0, 0x45, 1904, 0x0},
    { 0, 0x54, 544, 0x0},
    { 0, 0x64, 1296, 0x0},
    { 0, 0x64, 1376, 0x0},
    { 0, 0x54, 3066, 0x0},
    // 150: Local time: 09:28:00 PM
    { 6, 0x55, 3377, 0x0},
    { 0, 0x64, 1953, 0x0},
    { 6, 0x74, 1596, 0x0},
    { 0, 0x65, 939, 0x0},
    { 0, 0x56, 358, 0x0},
    { 0, 0x45, 2052, 0x0},
    { 0, 0x45, 839, 0x0},
    { 0, 0x44, 488, 0x0},
    { 0, 0x54, 3186, 0x0},
    { 0, 0x45, 318, 0x0},
    { 0, 0x45, 2276, 0x0},
    { 0, 0x43, 3911, 0x0},
    { 0, 0x63, 1210, 0x0},
    { 0, 0x63, 1753, 0x0},
    { 0, 0x45, 1295, 0x0},
    // 165: Local time: 09:43:00 PM
    { 0, 0x54, 997, 0x0},
    { 0, 0x45, 2052, 0x0},
    { 0, 0x25, 346, 0x0},
    { 0, 0x25, 76, 0x0},
    { 0, 0x47, 1719, 0x0},
    { 0, 0x44, 1182, 0x0},
    { 0, 0x75, 2729, 0x0},
    { 27, 0x62, 6775, 0x0},
    { 37, 0x51, 10062, 0x0},
    { 12, 0x51, 6223, 0x0},
    { 0, 0x55, 7542, 0x0},
    { 0, 0x64, 9033, 0x0},
    { 0, 0x63, 8656, 0x0},
    { 0, 0x66, 5132, 0x0},
    { 0, 0x83, 6449, 0x0},
    // 180: Local time: 09:58:01 PM
    { 0, 0x8e, 5289, 0x0},
    { 0, 0x81, 4290, 0x0},
    { 0, 0x8f, 4255, 0x0},
    { 0, 0x8e, 3997, 0x0},
    { 0, 0x81, 4006, 0x0},
    { 0, 0x8e, 2971, 0x0},
    { 0, 0x8f, 3494, 0x0},
    { 0, 0x80, 5021, 0x0},
    { 0, 0x8f, 5159, 0x0},
    { 0, 0x8f, 3822, 0x0},
    { 0, 0x8e, 4300, 0x0},
    { 0, 0x81, 3812, 0x0},
    { 0, 0x81, 4377, 0x0},
    { 0, 0x72, 4265, 0x0},
    { 10, 0x77, 7206, 0x0},
    // 195: Local time: 10:13:00 PM
    { 0, 0x64, 3133, 0x0},
    { 17, 0x84, 3387, 0x0},
    { 0, 0x84, 3139, 0x0},
    { 12, 0x82, 3025, 0x0},
    { 0, 0x82, 4650, 0x0},
    { 0, 0x83, 3944, 0x0},
    { 0, 0x8f, 5656, 0x0},
    { 0, 0x74, 2662, 0x0},
    { 0, 0x64, 2199, 0x0},
    { 0, 0x64, 3071, 0x0},
    { 0, 0x73, 2942, 0x0},
    { 0, 0x83, 3781, 0x0},
    { 0, 0x8f, 3563, 0x0},
    { 0, 0x8e, 3839, 0x0},
    { 10, 0x86, 5202, 0x0},
    // 210: Local time: 10:28:00 PM
    { 0, 0x84, 3960, 0x0},
    { 0, 0x8f, 4059, 0x0},
    { 0, 0x83, 4475, 0x0},
    { 54, 0x69, 3998, 0x0},
    { 0, 0x75, 2791, 0x0},
    { 8, 0x64, 4380, 0x0},
    { 0, 0x34, 1141, 0x0},
    { 0, 0x34, 1710, 0x0},
    { 20, 0x32, 7929, 0x0},
    { 0, 0x34, 4198, 0x0},
    { 0, 0x32, 9303, 0x0},
    { 6, 0x5a, 3589, 0x0},
    { 0, 0x4a, 1542, 0x0},
    { 0, 0x1a, 1672, 0x0},
    { 0, 0x9, 0, 0x0},
    // 225: Local time: 10:43:00 PM
    { 0, 0x1b, 543, 0x0},
    { 0, 0x2c, 414, 0x0},
    { 0, 0x1c, 94, 0x0},
    { 0, 0x1b, 458, 0x0},
    { 0, 0x15, 412, 0x0},
    { 0, 0x16, 343, 0x0},
    { 0, 0x6, 2061, 0x0},
    { 0, 0x23, 230, 0x0},
    { 0, 0x54, 1539, 0x0},
    { 0, 0x85, 806, 0x0},
    { 0, 0x85, 205, 0x0},
    { 0, 0x75, 347, 0x0},
    { 0, 0x45, 1003, 0x0},
    { 8, 0x45, 2015, 0x0},
    { 0, 0x65, 291, 0x0},
    // 240: Local time: 10:58:00 PM
    { 0, 0x54, 489, 0x0},
    { 0, 0x44, 239, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x43, 3745, 0x0},
    { 9, 0x52, 7624, 0x0},
    { 0, 0x45, 2783, 0x0},
    { 0, 0x40, 306, 0x0},
    { 0, 0x43, 3192, 0x0},
    { 0, 0x47, 612, 0x0},
    { 8, 0x56, 8141, 0x0},
    { 0, 0x61, 6267, 0x0},
    { 0, 0x6e, 2769, 0x0},
    { 6, 0x7e, 2853, 0x0},
    { 0, 0x5f, 1339, 0x0},
    { 8, 0x5f, 1323, 0x0},
    // 255: Local time: 11:13:00 PM
    { 0, 0x7f, 1185, 0x0},
    { 6, 0x6e, 1379, 0x0},
    { 0, 0x6e, 842, 0x0},
    { 0, 0x6e, 1585, 0x0},
    { 0, 0x6e, 966, 0x0},
    { 0, 0x6e, 1781, 0x0},
    { 0, 0x6e, 1210, 0x0},
    { 0, 0x6e, 211, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 60, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 139, 0x0},
    { 0, 0x7f, 0, 0x0},
    // 270: Local time: 11:28:00 PM
    { 0, 0x7f, 99, 0x0},
    { 0, 0x7f, 118, 0x0},
    { 0, 0x7f, 125, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 10, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    // 285: Local time: 11:43:00 PM
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 2690, 0x0},
    { 0, 0x71, 1087, 0x0},
    { 0, 0x60, 1034, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x7f, 398, 0x0},
    { 0, 0x6f, 1092, 0x0},
    { 0, 0x79, 3233, 0x0},
    { 0, 0x79, 25, 0x0},
    { 0, 0x79, 0, 0x0},
    { 0, 0x6a, 312, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    // 300: Local time: 11:58:01 PM
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x79, 1632, 0x0},
    { 0, 0x79, 0, 0x0},
    // 315: Local time: 12:13:00 AM
    { 0, 0x79, 220, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 1530, 0x0},
    { 0, 0x6a, 559, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 81, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    // 330: Local time: 12:28:00 AM
    { 0, 0x78, 270, 0x0},
    { 0, 0x69, 757, 0x0},
    { 0, 0x6a, 226, 0x0},
    { 0, 0x6b, 0, 0x0},
    { 0, 0x6b, 0, 0x0},
    { 0, 0x6d, 990, 0x0},
    { 15, 0x7d, 384, 0x0},
    { 0, 0x7c, 51, 0x0},
    { 0, 0x7c, 72, 0x0},
    { 0, 0x7c, 222, 0x0},
    { 0, 0x7b, 146, 0x0},
    { 0, 0x6b, 269, 0x0},
    { 16, 0x6b, 396, 0x0},
    { 0, 0x7a, 53, 0x0},
    { 0, 0x7a, 35, 0x0},
    // 345: Local time: 12:43:00 AM
    { 0, 0x7a, 158, 0x0},
    { 0, 0x7a, 812, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 12, 0x7b, 1561, 0x0},
    // 360: Local time: 12:58:00 AM
    { 0, 0x6f, 250, 0x0},
    { 0, 0x6e, 63, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    // 375: Local time: 01:13:00 AM
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 1934, 0x0},
    { 0, 0x78, 910, 0x0},
    { 0, 0x67, 602, 0x0},
    // 390: Local time: 01:28:00 AM
    { 0, 0x67, 562, 0x0},
    { 0, 0x67, 108, 0x0},
    { 0, 0x68, 1262, 0x0},
    { 0, 0x68, 389, 0x0},
    { 0, 0x68, 589, 0x0},
    { 0, 0x69, 550, 0x0},
    { 0, 0x68, 1213, 0x0},
    { 0, 0x68, 611, 0x0},
    { 0, 0x69, 575, 0x0},
    { 0, 0x68, 679, 0x0},
    { 0, 0x67, 649, 0x0},
    { 0, 0x69, 639, 0x0},
    { 0, 0x6a, 1622, 0x0},
    { 0, 0x5b, 143, 0x0},
    { 0, 0x6b, 119, 0x0},
    // 405: Local time: 01:43:00 AM
    { 0, 0x6a, 717, 0x0},
    { 0, 0x78, 293, 0x0},
    { 0, 0x6a, 322, 0x0},
    { 0, 0x6a, 1065, 0x0},
    { 0, 0x6a, 372, 0x0},
    { 0, 0x6a, 781, 0x0},
    { 0, 0x6a, 1219, 0x0},
    { 0, 0x6a, 766, 0x0},
    { 0, 0x6a, 964, 0x0},
    { 0, 0x6a, 790, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x6a, 281, 0x0},
    { 0, 0x6a, 617, 0x0},
    { 0, 0x6a, 189, 0x0},
    { 0, 0x6a, 275, 0x0},
    // 420: Local time: 01:58:00 AM
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x6a, 128, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 16, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 864, 0x0},
    { 0, 0x60, 2251, 0x0},
    { 0, 0x61, 76, 0x0},
    { 0, 0x70, 99, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x62, 2212, 0x0},
    { 0, 0x25, 51, 0x0},
    // 435: Local time: 02:13:00 AM
    { 0, 0x25, 45, 0x0},
    { 0, 0x25, 0, 0x0},
    { 0, 0x25, 0, 0x0},
    { 0, 0x15, 1263, 0x0},
    { 0, 0x3, 288, 0x0},
    { 0, 0x12, 47, 0x0},
    { 0, 0x2, 10, 0x0},
    { 0, 0x1, 0, 0x0},
    { 0, 0x4f, 2455, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 60, 0x0},
    { 0, 0x6f, 150, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 559, 0x0},
    { 0, 0x6f, 134, 0x0},
    // 450: Local time: 02:28:00 AM
    { 0, 0x60, 42, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x6f, 142, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 216, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    // 465: Local time: 02:43:00 AM
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6e, 2193, 0x0},
    { 0, 0x6e, 41, 0x0},
    { 0, 0x6e, 28, 0x0},
    // 480: Local time: 02:58:00 AM
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x65, 1595, 0x0},
    { 0, 0x65, 1364, 0x0},
    { 0, 0x65, 0, 0x0},
    // 495: Local time: 03:13:00 AM
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 315, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x66, 312, 0x0},
    { 0, 0x67, 0, 0x0},
    { 0, 0x67, 0, 0x0},
    { 0, 0x67, 0, 0x0},
    { 0, 0x67, 0, 0x0},
    // 510: Local time: 03:28:00 AM
    { 0, 0x67, 11, 0x0},
    { 10, 0x77, 1292, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 0, 0x0},
    { 8, 0x74, 975, 0x0},
    { 0, 0x72, 578, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x71, 361, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x61, 1120, 0x0},
    { 0, 0x60, 177, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x70, 71, 0x0},
    { 0, 0x70, 0, 0x0},
    // 525: Local time: 03:43:00 AM
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x62, 2550, 0x0},
    { 0, 0x44, 223, 0x0},
    { 0, 0x55, 0, 0x0},
    { 0, 0x45, 293, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    // 540: Local time: 03:58:00 AM
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 1447, 0x0},
    { 0, 0x72, 451, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    // 555: Local time: 04:13:00 AM
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x61, 1506, 0x0},
    { 0, 0x5e, 902, 0x0},
    { 0, 0x5e, 0, 0x0},
    { 0, 0x5e, 0, 0x0},
    { 0, 0x5e, 0, 0x0},
    { 0, 0x5e, 0, 0x0},
    // 570: Local time: 04:28:00 AM
    { 0, 0x5e, 0, 0x0},
    { 0, 0x5e, 0, 0x0},
    { 0, 0x5e, 0, 0x0},
    { 0, 0x6d, 1027, 0x0},
    { 0, 0x6a, 445, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    // 585: Local time: 04:43:00 AM
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x4d, 700, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 29, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    // 600: Local time: 04:58:00 AM
    { 0, 0x3d, 0, 0x0},
    { 0, 0x3d, 0, 0x0},
    { 0, 0x77, 1201, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x77, 0, 0x0},
    { 0, 0x7a, 643, 0x0},
    { 0, 0x2d, 259, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 11, 0x0},
    { 0, 0x2d, 0, 0x0},
    // 615: Local time: 05:14:00 AM
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x2d, 0, 0x0},
    { 0, 0x61, 1542, 0x0},
    { 0, 0x62, 0, 0x0},
    { 0, 0x72, 917, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 16, 0x0},
    { 0, 0x25, 1213, 0x0},
    { 0, 0x25, 0, 0x0},
    { 0, 0x25, 0, 0x0},
    { 0, 0x25, 0, 0x0},
    // 630: Local time: 05:29:00 AM
    { 0, 0x25, 0, 0x0},
    { 0, 0x25, 0, 0x0},
    { 0, 0x25, 28, 0x0},
    { 0, 0x3, 728, 0x0},
    { 0, 0x3, 0, 0x0},
    { 0, 0x2, 220, 0x0},
    { 0, 0x2, 10, 0x0},
    { 0, 0x2, 0, 0x0},
    { 0, 0x2, 0, 0x0},
    { 0, 0xf, 198, 0x0},
    { 0, 0x1e, 0, 0x0},
    { 0, 0x1e, 0, 0x0},
    { 0, 0x1f, 99, 0x0},
    { 0, 0x0, 0, 0x0},
    { 0, 0x1, 902, 0x0},
    // 645: Local time: 05:44:01 AM
    { 0, 0x62, 874, 0x0},
    { 0, 0x71, 660, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 719, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x72, 568, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 0, 0x0},
    { 0, 0x72, 167, 0x0},
    // 660: Local time: 05:59:00 AM
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    // 675: Local time: 06:14:00 AM
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x71, 0, 0x0},
    { 0, 0x61, 760, 0x0},
    { 0, 0x1e, 0, 0x0},
    { 0, 0x1e, 0, 0x0},
    { 0, 0x1e, 0, 0x0},
    { 0, 0x3d, 2447, 0x0},
    { 0, 0x79, 0, 0x0},
    { 0, 0x79, 11, 0x0},
    { 0, 0x79, 0, 0x0},
    { 0, 0x79, 0, 0x0},
    // 690: Local time: 06:29:00 AM
    { 0, 0x79, 0, 0x0},
    { 0, 0x79, 0, 0x0},
    { 0, 0x79, 0, 0x0},
    { 0, 0x79, 0, 0x0},
    { 0, 0x79, 0, 0x0},
    { 0, 0x79, 0, 0x0},
    { 0, 0x6a, 352, 0x0},
    { 0, 0x7a, 1019, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 99, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 29, 0x0},
    // 705: Local time: 06:44:00 AM
    { 0, 0x7b, 902, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x6f, 513, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x6e, 0, 0x0},
    { 0, 0x63, 1548, 0x0},
    { 0, 0x44, 16, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x44, 51, 0x0},
    { 0, 0x44, 17, 0x0},
    { 0, 0x44, 0, 0x0},
    { 0, 0x44, 0, 0x0},
    // 720: Local time: 06:59:00 AM
    { 0, 0x44, 0, 0x0},
    { 0, 0x44, 506, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x34, 75, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x34, 0, 0x0},
    { 0, 0x62, 1401, 0x0},
    { 0, 0x6f, 245, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x60, 651, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x71, 694, 0x0},
    { 0, 0x71, 0, 0x0},
    // 735: Local time: 07:14:00 AM
    { 6, 0x71, 267, 0x0},
    { 3, 0x7f, 889, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    // 750: Local time: 07:29:00 AM
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7d, 3263, 0x0},
    { 0, 0x7b, 893, 0x0},
    { 0, 0x7a, 10, 0x0},
    { 0, 0x79, 544, 0x0},
    { 0, 0x78, 0, 0x0},
    { 0, 0x78, 0, 0x0},
    { 0, 0x78, 0, 0x0},
    { 0, 0x78, 0, 0x0},
    { 0, 0x78, 0, 0x0},
    { 0, 0x78, 0, 0x0},
    { 0, 0x78, 4699, 0x0},
    { 0, 0x56, 967, 0x0},
    // 765: Local time: 07:44:00 AM
    { 0, 0x6a, 0, 0x0},
    { 0, 0x29, 1275, 0x0},
    { 0, 0x16, 0, 0x0},
    { 0, 0x16, 0, 0x0},
    { 0, 0x18, 312, 0x0},
    { 0, 0x2b, 0, 0x0},
    { 0, 0x2b, 0, 0x0},
    { 0, 0x2b, 1789, 0x0},
    { 0, 0x16, 0, 0x0},
    { 0, 0x16, 0, 0x0},
    { 0, 0x16, 0, 0x0},
    { 0, 0x16, 0, 0x0},
    { 0, 0x16, 0, 0x0},
    { 0, 0x16, 0, 0x0},
    { 0, 0x16, 0, 0x0},
    // 780: Local time: 08:00:00 AM
    { 0, 0x16, 0, 0x0},
    { 0, 0x2f, 4553, 0x0},
    { 0, 0x53, 506, 0x0},
    { 0, 0x64, 301, 0x0},
    { 0, 0x6f, 2755, 0x0},
    { 0, 0x7f, 2215, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    // 795: Local time: 08:15:00 AM
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    // 810: Local time: 08:30:00 AM
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x7c, 0, 0x1},
    { 0, 0x8a, 2664, 0x0},
    { 0, 0x42, 8407, 0x0},
    { 0, 0x42, 1659, 0x0},
    { 0, 0x32, 1665, 0x0},
    { 12, 0x42, 11006, 0x0},
    { 0, 0x42, 11344, 0x0},
    { 21, 0x32, 4898, 0x0},
    { 12, 0x53, 3812, 0x0},
    { 25, 0x42, 2857, 0x0},
    // 825: Local time: 08:45:00 AM
    { 0, 0x52, 6026, 0x0},
    { 0, 0x32, 5450, 0x0},
    { 0, 0x52, 1935, 0x0},
    { 0, 0x62, 463, 0x0},
    { 0, 0x62, 816, 0x0},
    { 0, 0x62, 790, 0x0},
    { 0, 0x63, 9843, 0x0},
    { 14, 0x43, 6993, 0x0},
    { 21, 0x66, 8359, 0x0},
    { 6, 0x47, 3707, 0x0},
    { 14, 0x47, 2440, 0x0},
    { 8, 0x57, 3156, 0x0},
    { 0, 0x67, 2465, 0x0},
    { 6, 0x55, 3470, 0x0},
    { 13, 0x46, 2214, 0x0},
    // 840: Local time: 09:00:01 AM
    { 8, 0x43, 777, 0x0},
    { 0, 0x44, 3680, 0x0},
    { 33, 0x44, 3068, 0x0},
    { 22, 0x44, 6334, 0x0},
    { 86, 0x51, 9227, 0x0},
    { 93, 0x41, 9279, 0x0},
    { 24, 0x52, 5767, 0x0},
    { 0, 0x53, 2447, 0x0},
    { 0, 0x65, 4878, 0x0},
    { 0, 0x46, 2283, 0x0},
    { 0, 0x66, 2513, 0x0},
    { 0, 0x56, 3149, 0x0},
    { 12, 0x54, 5100, 0x0},
    { 0, 0x54, 3599, 0x0},
    { 0, 0x63, 1879, 0x0},
    // 855: Local time: 09:15:00 AM
    { 0, 0x57, 2082, 0x0},
    { 0, 0x56, 1289, 0x0},
    { 0, 0x66, 1514, 0x0},
    { 0, 0x74, 1528, 0x0},
    { 16, 0x65, 4610, 0x0},
    { 0, 0x46, 1620, 0x0},
    { 0, 0x64, 2012, 0x0},
    { 0, 0x57, 1672, 0x0},
    { 0, 0x54, 861, 0x0},
    { 0, 0x55, 3590, 0x0},
    { 0, 0x57, 3060, 0x0},
    { 0, 0x77, 1913, 0x0},
    { 0, 0x67, 899, 0x0},
    { 0, 0x75, 1105, 0x0},
    { 0, 0x66, 442, 0x0},
    // 870: Local time: 09:30:00 AM
    { 0, 0x58, 506, 0x0},
    { 0, 0x57, 2212, 0x0},
    { 0, 0x56, 427, 0x0},
    { 0, 0x67, 1654, 0x0},
    { 0, 0x59, 1203, 0x0},
    { 0, 0x59, 1457, 0x0},
    { 10, 0x58, 2573, 0x0},
    { 0, 0x55, 885, 0x0},
    { 0, 0x76, 1773, 0x0},
    { 0, 0x54, 4090, 0x0},
    { 6, 0x68, 2319, 0x0},
    { 3, 0x67, 2217, 0x0},
    { 0, 0x67, 4770, 0x0},
    { 12, 0x54, 6201, 0x0},
    { 0, 0x65, 3125, 0x0},
    // 885: Local time: 09:45:00 AM
    { 0, 0x54, 1333, 0x0},
    { 0, 0x45, 1576, 0x0},
    { 0, 0x35, 785, 0x0},
    { 0, 0x44, 304, 0x0},
    { 0, 0x65, 2336, 0x0},
    { 8, 0x64, 3352, 0x0},
    { 9, 0x49, 2456, 0x0},
    { 0, 0x1c, 1650, 0x0},
    { 0, 0x55, 3248, 0x0},
    { 0, 0x58, 1133, 0x0},
    { 0, 0x56, 3809, 0x0},
    { 8, 0x76, 2331, 0x0},
    { 0, 0x56, 3575, 0x0},
    { 0, 0x56, 2257, 0x0},
    { 0, 0x58, 871, 0x0},
    // 900: Local time: 10:00:00 AM
    { 0, 0x67, 1851, 0x0},
    { 0, 0x59, 1802, 0x0},
    { 0, 0x59, 879, 0x0},
    { 0, 0x78, 2653, 0x0},
    { 0, 0x75, 2696, 0x0},
    { 0, 0x58, 1972, 0x0},
    { 0, 0x65, 2886, 0x0},
    { 0, 0x56, 3051, 0x0},
    { 0, 0x47, 4043, 0x0},
    { 0, 0x43, 3439, 0x0},
    { 0, 0x53, 321, 0x0},
    { 0, 0x63, 1117, 0x0},
    { 0, 0x64, 2678, 0x0},
    { 0, 0x63, 309, 0x0},
    { 0, 0x53, 2702, 0x0},
    // 915: Local time: 10:15:00 AM
    { 22, 0x75, 5462, 0x0},
    { 0, 0x64, 4403, 0x0},
    { 0, 0x64, 2387, 0x0},
    { 0, 0x55, 5086, 0x0},
    { 0, 0x58, 3702, 0x0},
    { 0, 0x48, 1709, 0x0},
    { 0, 0x4b, 3538, 0x0},
    { 0, 0x60, 3150, 0x0},
    { 9, 0x64, 1984, 0x0},
    { 16, 0x54, 3412, 0x0},
    { 0, 0x51, 3631, 0x0},
    { 0, 0x5f, 171, 0x0},
    { 0, 0x34, 2307, 0x0},
    { 0, 0x35, 528, 0x0},
    { 8, 0x67, 1111, 0x0},
    // 930: Local time: 10:30:00 AM
    { 0, 0x75, 1349, 0x0},
    { 0, 0x48, 1570, 0x0},
    { 0, 0x46, 1468, 0x0},
    { 0, 0x57, 1990, 0x0},
    { 8, 0x69, 1459, 0x0},
    { 0, 0x79, 1521, 0x0},
    { 10, 0x58, 3364, 0x0},
    { 0, 0x48, 2292, 0x0},
    { 0, 0x49, 2878, 0x0},
    { 0, 0x49, 1083, 0x0},
    { 0, 0x49, 1852, 0x0},
    { 0, 0x67, 4965, 0x0},
    { 30, 0x56, 3227, 0x0},
    { 0, 0x45, 5311, 0x0},
    { 0, 0x63, 5579, 0x0},
    // 945: Local time: 10:45:00 AM
    { 0, 0x45, 8819, 0x0},
    { 0, 0x43, 4577, 0x0},
    { 0, 0x44, 2690, 0x0},
    { 0, 0x57, 1024, 0x0},
    { 0, 0x55, 2687, 0x0},
    { 8, 0x44, 3054, 0x0},
    { 0, 0x55, 4192, 0x0},
    { 0, 0x44, 1564, 0x0},
    { 0, 0x34, 760, 0x0},
    { 0, 0x34, 781, 0x0},
    { 0, 0x56, 5601, 0x0},
    { 8, 0x65, 4142, 0x0},
    { 8, 0x54, 7762, 0x0},
    { 0, 0x25, 1024, 0x0},
    { 0, 0x35, 402, 0x0},
    // 960: Local time: 11:00:00 AM
    { 0, 0x34, 3189, 0x0},
    { 8, 0x42, 7632, 0x0},
    { 59, 0x25, 5119, 0x0},
    { 37, 0x34, 4703, 0x0},
    { 56, 0x40, 6902, 0x0},
    { 81, 0x40, 7809, 0x0},
    { 24, 0x52, 7297, 0x0},
    { 0, 0x22, 8285, 0x0},
    { 0, 0x41, 5258, 0x0},
    { 0, 0x75, 6476, 0x0},
    { 0, 0x67, 3540, 0x0},
    { 0, 0x67, 3034, 0x0},
    { 0, 0x65, 6455, 0x0},
    { 0, 0x66, 4339, 0x0},
    { 0, 0x67, 2017, 0x0},
    // 975: Local time: 11:15:00 AM
    { 12, 0x67, 4459, 0x0},
    { 0, 0x66, 3236, 0x0},
    { 0, 0x66, 2828, 0x0},
    { 0, 0x66, 2373, 0x0},
    { 0, 0x75, 2992, 0x0},
    { 0, 0x54, 4043, 0x0},
    { 0, 0x44, 3845, 0x0},
    { 17, 0x53, 2122, 0x0},
    { 0, 0x44, 3344, 0x0},
    { 39, 0x35, 4364, 0x0},
    { 91, 0x34, 6085, 0x0},
    { 12, 0x74, 4481, 0x0},
    { 20, 0x43, 4762, 0x0},
    { 0, 0x47, 248, 0x0},
    { 0, 0x47, 1665, 0x0},
    // 990: Local time: 11:30:00 AM
    { 0, 0x48, 754, 0x0},
    { 0, 0x36, 550, 0x0},
    { 0, 0x45, 39, 0x0},
    { 0, 0x35, 442, 0x0},
    { 0, 0x45, 201, 0x0},
    { 0, 0x45, 71, 0x0},
    { 0, 0x45, 347, 0x0},
    { 0, 0x45, 1255, 0x0},
    { 0, 0x35, 183, 0x0},
    { 0, 0x35, 239, 0x0},
    { 0, 0x35, 1010, 0x0},
    { 0, 0x58, 1790, 0x0},
    { 0, 0x58, 322, 0x0},
    { 0, 0x58, 982, 0x0},
    { 0, 0x35, 306, 0x0},
    // 1005: Local time: 11:45:00 AM
    { 0, 0x35, 173, 0x0},
    { 0, 0x35, 321, 0x0},
    { 0, 0x57, 1540, 0x0},
    { 0, 0x57, 2137, 0x0},
    { 0, 0x47, 750, 0x0},
    { 0, 0x46, 1805, 0x0},
    { 0, 0x35, 3781, 0x0},
    { 0, 0x35, 1857, 0x0},
    { 0, 0x55, 4074, 0x0},
    { 0, 0x64, 2800, 0x0},
    { 0, 0x74, 1958, 0x0},
    { 0, 0x55, 2952, 0x0},
    { 0, 0x55, 2416, 0x0},
    { 8, 0x55, 3103, 0x0},
    { 0, 0x54, 4114, 0x0},
    // 1020: Local time: 12:00:00 PM
    { 0, 0x55, 2057, 0x0},
    { 0, 0x44, 2945, 0x0},
    { 0, 0x65, 1801, 0x0},
    { 0, 0x75, 569, 0x0},
    { 0, 0x75, 334, 0x0},
    { 0, 0x57, 2665, 0x0},
    { 0, 0x46, 3275, 0x0},
    { 0, 0x54, 3788, 0x0},
    { 0, 0x74, 2003, 0x0},
    { 0, 0x64, 596, 0x0},
    { 0, 0x64, 186, 0x0},
    { 0, 0x74, 1388, 0x0},
    { 0, 0x64, 1881, 0x0},
    { 0, 0x55, 5316, 0x0},
    { 0, 0x75, 2914, 0x0},
    // 1035: Local time: 12:15:00 PM
    { 0, 0x56, 2695, 0x0},
    { 0, 0x76, 1148, 0x0},
    { 8, 0x66, 1570, 0x0},
    { 8, 0x46, 782, 0x0},
    { 0, 0x75, 1528, 0x0},
    { 0, 0x74, 2264, 0x0},
    { 0, 0x64, 393, 0x0},
    { 6, 0x75, 1579, 0x0},
    { 0, 0x75, 3671, 0x0},
    { 0, 0x7c, 959, 0x0},
    { 0, 0x75, 3210, 0x0},
    { 0, 0x56, 2422, 0x0},
    { 0, 0x45, 5184, 0x0},
    { 19, 0x41, 3108, 0x0},
    { 21, 0x51, 8108, 0x0},
    // 1050: Local time: 12:30:00 PM
    { 34, 0x72, 6809, 0x0},
    { 35, 0x34, 6327, 0x0},
    { 0, 0x77, 8492, 0x0},
    { 0, 0x78, 6235, 0x0},
    { 6, 0x7c, 4112, 0x0},
    { 0, 0x7c, 4067, 0x0},
    { 0, 0x6b, 1974, 0x0},
    { 0, 0x88, 3045, 0x0},
    { 8, 0x64, 5609, 0x0},
    { 0, 0x64, 1688, 0x0},
    { 0, 0x54, 3174, 0x0},
    { 0, 0x64, 4099, 0x0},
    { 0, 0x57, 772, 0x0},
    { 12, 0x66, 4514, 0x0},
    { 0, 0x75, 4993, 0x0},
    // 1065: Local time: 12:45:00 PM
    { 45, 0x53, 14031, 0x0},
    { 31, 0x53, 8313, 0x0},
    { 16, 0x53, 3905, 0x0},
    { 0, 0x33, 7639, 0x0},
    { 22, 0x64, 5458, 0x0},
    { 0, 0x47, 1318, 0x0},
    { 0, 0x48, 516, 0x0},
    { 0, 0x48, 787, 0x0},
    { 0, 0x47, 4191, 0x0},
    { 0, 0x55, 3950, 0x0},
    { 0, 0x65, 2542, 0x0},
    { 0, 0x56, 560, 0x0},
    { 6, 0x66, 1297, 0x0},
    { 8, 0x32, 3226, 0x0},
    { 14, 0x23, 1117, 0x0},
    // 1080: Local time: 01:00:00 PM
    { 26, 0x24, 1626, 0x0},
    { 8, 0x63, 2652, 0x0},
    { 0, 0x84, 975, 0x0},
    { 0, 0x74, 990, 0x0},
    { 0, 0x45, 3056, 0x0},
    { 0, 0x35, 1913, 0x0},
    { 0, 0x35, 2353, 0x0},
    { 0, 0x46, 1811, 0x0},
    { 0, 0x35, 975, 0x0},
    { 0, 0x35, 661, 0x0},
    { 0, 0x35, 784, 0x0},
    { 8, 0x35, 1127, 0x0},
    { 0, 0x55, 2866, 0x0},
    { 0, 0x55, 3873, 0x0},
    { 0, 0x56, 3005, 0x0},
    // 1095: Local time: 01:15:00 PM
    { 0, 0x65, 1078, 0x0},
    { 0, 0x57, 3793, 0x0},
    { 0, 0x83, 4826, 0x0},
    { 0, 0x65, 2550, 0x0},
    { 0, 0x51, 3392, 0x0},
    { 13, 0x61, 2819, 0x0},
    { 69, 0x51, 6920, 0x0},
    { 6, 0x57, 2104, 0x0},
    { 0, 0x48, 475, 0x0},
    { 10, 0x48, 523, 0x0},
    { 8, 0x48, 278, 0x0},
    { 0, 0x64, 882, 0x0},
    { 0, 0x57, 1404, 0x0},
    { 6, 0x85, 1975, 0x0},
    { 0, 0x48, 153, 0x0},
    // 1110: Local time: 01:31:00 PM
    { 0, 0x48, 809, 0x0},
    { 6, 0x66, 2091, 0x0},
    { 0, 0x67, 1176, 0x0},
    { 0, 0x75, 1450, 0x0},
    { 0, 0x57, 959, 0x0},
    { 6, 0x48, 538, 0x0},
    { 0, 0x48, 143, 0x0},
    { 0, 0x48, 189, 0x0},
    { 0, 0x75, 1411, 0x0},
    { 0, 0x83, 778, 0x0},
    { 0, 0x73, 501, 0x0},
    { 0, 0x72, 1850, 0x0},
    { 6, 0x81, 3062, 0x0},
    { 0, 0x74, 2311, 0x0},
    { 0, 0x74, 1767, 0x0},
    // 1125: Local time: 01:46:00 PM
    { 0, 0x75, 1149, 0x0},
    { 0, 0x67, 1004, 0x0},
    { 8, 0x48, 933, 0x0},
    { 0, 0x65, 905, 0x0},
    { 0, 0x74, 2077, 0x0},
    { 0, 0x63, 1144, 0x0},
    { 0, 0x77, 904, 0x0},
    { 0, 0x76, 3460, 0x0},
    { 6, 0x5b, 1712, 0x0},
    { 7, 0x78, 1036, 0x0},
    { 4, 0x67, 404, 0x0},
    { 0, 0x67, 381, 0x0},
    { 0, 0x58, 2501, 0x0},
    { 0, 0x25, 4099, 0x0},
    { 0, 0x65, 3056, 0x0},
    // 1140: Local time: 02:01:00 PM
    { 0, 0x75, 2877, 0x0},
    { 0, 0x45, 2006, 0x0},
    { 0, 0x75, 1898, 0x0},
    { 14, 0x46, 1736, 0x0},
    { 0, 0x48, 2351, 0x0},
    { 0, 0x56, 2616, 0x0},
    { 0, 0x55, 3013, 0x0},
    { 0, 0x74, 187, 0x0},
    { 0, 0x64, 851, 0x0},
    { 0, 0x65, 668, 0x0},
    { 0, 0x64, 1333, 0x0},
    { 0, 0x54, 44, 0x0},
    { 0, 0x64, 1309, 0x0},
    { 0, 0x65, 1272, 0x0},
    { 0, 0x67, 1682, 0x0},
    // 1155: Local time: 02:16:01 PM
    { 13, 0x56, 2277, 0x0},
    { 0, 0x47, 990, 0x0},
    { 0, 0x67, 2957, 0x0},
    { 0, 0x56, 2209, 0x0},
    { 0, 0x67, 2653, 0x0},
    { 7, 0x67, 1376, 0x0},
    { 0, 0x57, 1182, 0x0},
    { 0, 0x66, 1135, 0x0},
    { 0, 0x66, 113, 0x0},
    { 0, 0x66, 1805, 0x0},
    { 0, 0x58, 328, 0x0},
    { 0, 0x58, 257, 0x0},
    { 6, 0x67, 2545, 0x0},
    { 6, 0x77, 1872, 0x0},
    { 0, 0x5a, 1096, 0x0},
    // 1170: Local time: 02:31:00 PM
    { 0, 0x66, 1012, 0x0},
    { 0, 0x56, 1773, 0x0},
    { 7, 0x67, 3045, 0x0},
    { 0, 0x46, 2535, 0x0},
    { 0, 0x46, 2143, 0x0},
    { 13, 0x2a, 3617, 0x0},
    { 0, 0x78, 2745, 0x0},
    { 0, 0x66, 2825, 0x0},
    { 0, 0x64, 4407, 0x0},
    { 0, 0x72, 1596, 0x0},
    { 10, 0x65, 2107, 0x0},
    { 0, 0x74, 3327, 0x0},
    { 0, 0x63, 1222, 0x0},
    { 0, 0x64, 1950, 0x0},
    { 16, 0x55, 5108, 0x0},
    // 1185: Local time: 02:47:00 PM
    { 0, 0x74, 1287, 0x0},
    { 0, 0x74, 713, 0x0},
    { 0, 0x75, 1253, 0x0},
    { 0, 0x66, 1064, 0x0},
    { 12, 0x65, 1031, 0x0},
    { 14, 0x48, 929, 0x0},
    { 8, 0x65, 1681, 0x0},
    { 0, 0x58, 1998, 0x0},
    { 0, 0x75, 791, 0x0},
    { 0, 0x61, 2613, 0x0},
    { 6, 0x48, 1352, 0x0},
    { 0, 0x2, 1509, 0x0},
    { 0, 0x1f, 1226, 0x0},
    { 0, 0x57, 1302, 0x0},
    { 0, 0x66, 2042, 0x0},
    // 1200: Local time: 03:02:00 PM
    { 0, 0x67, 765, 0x0},
    { 0, 0x74, 313, 0x0},
    { 0, 0x74, 546, 0x0},
    { 0, 0x74, 939, 0x0},
    { 0, 0x74, 645, 0x0},
    { 0, 0x64, 1073, 0x0},
    { 0, 0x64, 250, 0x0},
    { 0, 0x65, 494, 0x0},
    { 0, 0x44, 2333, 0x0},
    { 0, 0x24, 2419, 0x0},
    { 0, 0x15, 2098, 0x0},
    { 0, 0x44, 3704, 0x0},
    { 9, 0x44, 4167, 0x0},
    { 9, 0x73, 1586, 0x0},
    { 0, 0x64, 4426, 0x0},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}

